Update a record
Updates or creates a DNS record for the provided record ID.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The ID (UUID) of the DNS zone.
The ID (UUID) of the DNS record.
Successful operation.
The record ID (UUID).
90d81ac0-3a30-44d4-95a5-12959effa6ee<RESOURCE-URI>Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict Error
This record cannot be modified/created because it conflicts with another record. This can happen if you try to create a record with the same name and type as an existing record.
Common causes:
- CNAME conflicts: A CNAME record cannot coexist with other records of the same name according to DNS specifications (RFC 1034 section 3.6.2, RFC 1912 section 2.4)
- TXT SPF: A TXT record cannot have more than one SPF key in the record. Try to join them.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
PUT /zones/{zoneId}/records/{recordId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"properties": {
"name": "app",
"type": "A",
"content": "1.2.3.4",
"ttl": 3600,
"priority": 3600,
"enabled": true
}
}{
"id": "90d81ac0-3a30-44d4-95a5-12959effa6ee",
"type": "record",
"href": "<RESOURCE-URI>",
"metadata": {
"createdDate": "2022-08-21T15:52:53Z",
"createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2022-08-21T15:52:53Z",
"lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "PROVISIONING",
"fqdn": "app.example.com",
"zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf"
},
"properties": {
"name": "app",
"type": "A",
"content": "1.2.3.4",
"ttl": 3600,
"priority": 3600,
"enabled": true
}
}Last updated
Was this helpful?